@import "variable/_color";
span.icon {
  .checker {
    margin-top: -5px;
    margin-right: 0;
  }
}
.dataTables_length {
  color: @color_19;
  margin: 7px 5px 0;
  position: absolute;
  right: 2px;
  top: -2px;
  div {
    vertical-align: middle;
  }
}
.dataTables_paginate {
  line-height: 16px;
  text-align: right;
  margin-top: 5px;
  margin-right: 10px;
  .ui-button {
    font-size: 12px;
    padding: 4px 10px !important;
    border-style: solid;
    border-width: 1px;
    border-color: @border_color_4;
    border-color: @border_color_5;
    display: inline-block;
    line-height: 16px;
    background: #f5f5f5;
    color: @color_5;
    text-shadow: 0 1px 0 #ffffff;
    &:hover {
      background: #e8e8e8;
      color: @color_20;
      text-shadow: 0 1px 0 #ffffff;
      cursor: pointer;
    }
  }
  .first {
    border-radius: 4px 0 0 4px;
  }
  .last {
    border-radius: 0 4px 4px 0;
  }
  .ui-state-disabled {
    color: @color_17 !important;
    &:hover {
      background: #f5f5f5;
      cursor: default !important;
    }
  }
  span {
    .ui-state-disabled {
      background: #F77825;
      color: @color_2 !important;
      cursor: default !important;
    }
  }
}
.pagination.alternate {
  li {
    a {
      font-size: 12px;
      padding: 4px 10px !important;
      border-style: solid;
      border-width: 1px;
      border-color: @border_color_4;
      border-color: @border_color_5;
      display: inline-block;
      line-height: 16px;
      background: #f5f5f5;
      color: @color_5;
      text-shadow: 0 1px 0 #ffffff;
      &:hover {
        background: #e8e8e8;
        color: @color_20;
        text-shadow: 0 1px 0 #ffffff;
        cursor: pointer;
      }
    }
  }
  li.disabled {
    a {
      color: @color_17 !important;
      &:hover {
        background: #f5f5f5;
        cursor: default !important;
      }
    }
  }
  li.active {
    a {
      background: #F77825;
      color: @color_2 !important;
      cursor: default !important;
    }
  }
}
.fc-state-disabled {
  color: @color_17 !important;
  &:hover {
    background: #f5f5f5;
    cursor: default !important;
  }
}
.dataTables_wrapper {
  .ui-toolbar {
    padding: 5px;
  }
}
.dataTables_filter {
  color: @color_19;
  font-size: 11px;
  left: 0;
  margin: 4px 8px 2px 10px;
  position: absolute;
  text-align: left;
  input {
    margin-bottom: 0;
  }
}
.table.with-check {
  tr {
    th {
      &:first-child {
        width: 10px;
        i {
          margin-top: -2px;
          opacity: 0.6;
        }
      }
    }
    td {
      &:first-child {
        width: 10px;
        .checker {
          margin-right: 0;
        }
      }
    }
  }
}